summarylogtreecommitdiffstats
path: root/vboxreload
diff options
context:
space:
mode:
authorDaniel Bermond2020-09-05 11:57:17 +0000
committerDaniel Bermond2020-09-05 11:57:17 +0000
commit166ae9ec9fc762d8a6561ab9547170c643f35918 (patch)
treede9f50116c32a04ffdf90f7ce11dd790ecf16380 /vboxreload
parenta92486e4ad8c06ded21573b245788db18e14e021 (diff)
downloadaur-166ae9ec9fc762d8a6561ab9547170c643f35918.tar.gz
Major rewrite
changes: - added split packages for sdk and guest iso (this will significantly reduce the size of the main virtualbox-bin package, while allowing users to install only the needed additional components) - added components: modules reload script, rdesktop-vrdp and web service - fixed symlinks of VBox executables in /usr/bin (now they correctly point to the 'VBox.sh' executable dispatcher) - fixed install of virtualbox.svg scalable icon - updated udev rules - removed obsolete files - removed rdesktop-vrdp packed sources - removed unneeded version from the configuration file vbox.cfg - removed unneeded makedepends, depends and optdepends to conform with the DKMS package guidelines from the Arch Wiki - cosmetic changes
Diffstat (limited to 'vboxreload')
-rw-r--r--vboxreload37
1 files changed, 37 insertions, 0 deletions
diff --git a/vboxreload b/vboxreload
new file mode 100644
index 000000000000..d21aa627fc4f
--- /dev/null
+++ b/vboxreload
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+# vboxreload: shortcut to reload virtualbox host modules
+#
+# Copyright © 2016 Sébastien Luttringer
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+
+(( UID > 0 )) && { echo 'You must be root' >&2; exit 1; }
+
+modules=(vboxnetadp vboxnetflt vboxdrv)
+
+echo -n 'Unloading modules: '
+for _m in "${modules[@]}"; do
+ lsmod|grep -q "$_m" && rmmod "$_m" && echo -n "$_m "
+done
+echo
+
+echo -n 'Loading modules: '
+for _m in "${modules[@]}"; do
+ modprobe "$_m" && echo -n "$_m "
+done
+echo
+
+# vim:set ts=2 sw=2 ai et: